/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.accounting;


import java.math.BigInteger;

import javax.xml.bind.annotation.XmlRootElement;

import org.joda.time.DateTime;

import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "accountingeventdetail")
public class AccountingEventDetailDto extends SingleResourceTransportDto
{
    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.accountingeventdetail+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    private Integer id;

    public Integer getId()
    {
        return id;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    private int idEnterprise;

    public int getIdEnterprise()
    {
        return idEnterprise;
    }

    public void setIdEnterprise(int idEnterprise)
    {
        this.idEnterprise = idEnterprise;
    }

    private int resourceType;

    public int getResourceType()
    {
        return resourceType;
    }

    public void setResourceType(int resourceType)
    {
        this.resourceType = resourceType;
    }

    private DateTime startTime;

    public DateTime getStartTime()
    {
        return startTime;
    }

    public void setStartTime(DateTime startTime)
    {
        this.startTime = startTime;
    }

    private Integer idAccountingEvent;

    public Integer getIdAccountingEvent()
    {
        return idAccountingEvent;
    }

    public void setIdAccountingEvent(Integer idAccountingEvent)
    {
        this.idAccountingEvent = idAccountingEvent;
    }

    private ResourceTypeDto idAccountingResourceType;

    public ResourceTypeDto getIdAccountingResourceType()
    {
        return idAccountingResourceType;
    }

    public void setIdAccountingResourceType(ResourceTypeDto idAccountingResourceType)
    {
        this.idAccountingResourceType = idAccountingResourceType;
    }

    private DateTime endTime;

    public DateTime getEndTime()
    {
        return endTime;
    }

    public void setEndTime(DateTime endTime)
    {
        this.endTime = endTime;
    }

    private int idVirtualMachine;

    public int getIdVirtualMachine()
    {
        return idVirtualMachine;
    }

    public void setIdVirtualMachine(int idVirtualMachine)
    {
        this.idVirtualMachine = idVirtualMachine;
    }

    private BigInteger resourceUnits;

    public BigInteger getResourceUnits()
    {
        return resourceUnits;
    }

    public void setResourceUnits(BigInteger resourceUnits)
    {
        this.resourceUnits = resourceUnits;
    }

    private int idVirtualDataCenter;

    public int getIdVirtualDataCenter()
    {
        return idVirtualDataCenter;
    }

    public void setIdVirtualDataCenter(int idVirtualDataCenter)
    {
        this.idVirtualDataCenter = idVirtualDataCenter;
    }

    private int resourceName;

    public int getResourceName()
    {
        return resourceName;
    }

    public void setResourceName(int resourceName)
    {
        this.resourceName = resourceName;
    }

    private int idStorageTier;

    public int getIdStorageTier()
    {
        return idStorageTier;
    }

    public void setIdStorageTier(int idStorageTier)
    {
        this.idStorageTier = idStorageTier;
    }

    private int costCode;

    public int getCostCode()
    {
        return costCode;
    }

    public void setCostCode(int costCode)
    {
        this.costCode = costCode;
    }

    private int idVirtualApp;

    public int getIdVirtualApp()
    {
        return idVirtualApp;
    }

    public void setIdVirtualApp(int idVirtualApp)
    {
        this.idVirtualApp = idVirtualApp;
    }

    @Override
    public String getMediaType()
    {
        return AccountingEventDetailDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }
}
