/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.infrastructure;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.model.transport.WrapperDto;

/**
 * Represent a collection of datacenters
 */
@XmlRootElement(name = "datacenters")
public class DatacentersDto extends WrapperDto<DatacenterDto>
{
    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.datacenters+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    // with remote service
    public static final String BASE_MEDIA_TYPE_RS = "application/vnd.abiquo.datacenters_rs+xml";

    public static final String MEDIA_TYPE_RS = BASE_MEDIA_TYPE_RS + "; version=" + API_VERSION;

    @Override
    @XmlElement(name = "datacenter")
    public List<DatacenterDto> getCollection()
    {
        return collection;
    }

    @Override
    public String getMediaType()
    {
        return DatacentersDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }
}
