/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2010.12.24 at 11:14:06 AM CET 
//

package com.abiquo.server.core.infrastructure;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import com.abiquo.model.transport.SingleResourceTransportDto;

/**
 * Representation of a Logic Server
 */
@XmlRootElement(name = "logicServer")
@XmlType(propOrder = {"name", "type", "description", "associated", "associatedTo", "collection"})
public class LogicServerDto extends SingleResourceTransportDto
{
    private static final long serialVersionUID = -3508955420063569772L;

    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.logicserver+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    protected String name;

    // It can be template (update or initial) or instance
    protected String type;

    protected String associated;

    protected String associatedTo;

    protected String description;

    protected List<LogicServerPolicyDto> policies;

    /**
     * The value of the name property
     * 
     * @output
     * @return possible object is {@link String }
     */
    public String getName()
    {
        return name;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setType(final String value)
    {
        this.type = value;
    }

    /**
     * Sets the value of the name property
     * 
     * @param value allowed object is {@link String }
     */
    public void setName(final String value)
    {
        this.name = value;
    }

    /**
     * The value of the associated property
     * 
     * @output
     * @return possible object is {@link String }
     */
    public String getAssociated()
    {
        return associated;
    }

    /**
     * The value of the type property.
     * 
     * @output
     * @return possible object is {@link String }
     */
    public String getType()
    {
        return type;
    }

    /**
     * Sets the value of the associated property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setAssociated(final String value)
    {
        this.associated = value;
    }

    /**
     * The value of the associatedTo property.
     * 
     * @output
     * @return possible object is {@link String }
     */
    public String getAssociatedTo()
    {
        return associatedTo;
    }

    /**
     * Sets the value of the associatedTo property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setAssociatedTo(final String value)
    {
        this.associatedTo = value;
    }

    /**
     * The value of the description property.
     * 
     * @output
     * @return possible object is {@link String }
     */
    public String getDescription()
    {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setDescription(final String value)
    {
        this.description = value;
    }

    /**
     * The value of the host property.
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot. Therefore any
     * modification you make to the returned list will be present inside the JAXB object. This is
     * why there is not a <CODE>set</CODE> method for the host property.
     * <p>
     * For example, to add a new item, do as follows:
     * 
     * <pre>
     * getCollection().add(newItem);
     * </pre>
     * <p>
     * Objects of the following type(s) are allowed in the list {@link LogicServerPolicyDto }
     * 
     * @output
     */
    @XmlElements({@XmlElement(name = "policy", type = LogicServerPolicyDto.class)})
    @XmlElementWrapper(name = "policies")
    public List<LogicServerPolicyDto> getCollection()
    {
        if (policies == null)
        {
            policies = new ArrayList<LogicServerPolicyDto>();
        }
        return this.policies;
    }

    @Override
    public String getMediaType()
    {
        return LogicServerDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }
}
