/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.scheduler;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "rules")
@XmlType(propOrder = {"fitPolicyRules", "enterpriseExclusionRules", "machineLoadRules"})
public class RulesDto extends SingleResourceTransportDto
{

    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.rules+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    private FitPolicyRulesDto fitPolicyRules;

    private MachineLoadRulesDto machineLoadRules;

    private EnterpriseExclusionsRulesDto enterpriseExclusionRules;

    public FitPolicyRulesDto getFitPolicyRules()
    {
        return fitPolicyRules;
    }

    public void setFitPolicyRules(final FitPolicyRulesDto fitPolicyRules)
    {
        this.fitPolicyRules = fitPolicyRules;
    }

    public MachineLoadRulesDto getMachineLoadRules()
    {
        return machineLoadRules;
    }

    public void setMachineLoadRules(final MachineLoadRulesDto machineLoadRules)
    {
        this.machineLoadRules = machineLoadRules;
    }

    public EnterpriseExclusionsRulesDto getEnterpriseExclusionRules()
    {
        return enterpriseExclusionRules;
    }

    public void setEnterpriseExclusionRules(
        final EnterpriseExclusionsRulesDto enterpriseExclusionRules)
    {
        this.enterpriseExclusionRules = enterpriseExclusionRules;
    }

    @Override
    public String getMediaType()
    {
        return RulesDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }

}
