/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.statistics.movedv24;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.model.transport.MovedPermanentlyDto;
import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "vappResources")
public class VirtualAppResourcesMovedDto24 extends MovedPermanentlyDto
{
    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.virtualappresources+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version="
        + SingleResourceTransportDto.API_VERSION_23;

}
